package com.example.helloworld2;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class SetValueActivity  extends Activity{
	
	private double currentConversionValue;
	Context context;
	EditText valueSetter;
	@Override
	protected void onCreate(Bundle savedInstanceState){
		super.onCreate(savedInstanceState);
		if(savedInstanceState!=null)
			currentConversionValue=savedInstanceState.getDouble("conv");
		else
			currentConversionValue=1936.27;
		setContentView(R.layout.set_value_activity);
		TextView tv = (TextView) findViewById(R.id.textView2);
		tv.setText(Double.toString(currentConversionValue));
		addListenerOnButton3();
		
	}	
	
	
	
	@Override
	protected void onSaveInstanceState(Bundle savedInstanceState){
		savedInstanceState.putDouble("conv", currentConversionValue);		
	}
	
	
	public void addListenerOnButton3(){
    	context=this;
    	Button setValueButton = (Button) findViewById(R.id.button3);
    	valueSetter= (EditText) findViewById(R.id.editText1);
    	setValueButton.setOnClickListener(new OnClickListener(){
    		@Override
			public void onClick(View arg0) {
    			String value=valueSetter.getText().toString();
    			currentConversionValue=Double.parseDouble(value);
    			Intent intent = new Intent(context, MainActivity.class);
    			intent.putExtra("value", currentConversionValue); 
    			startActivity(intent);
    		}
    	}
    	);
    }
	
	

}
