package com.example.helloworld2;

import android.os.Bundle;
import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class MainActivity extends Activity {

	Context context;
	private double currentConversionValue;
	EditText toConvert;
	TextView resultView;
	
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        Bundle extras = getIntent().getExtras();
        if (extras != null) {
            currentConversionValue = extras.getDouble("value");
        }
        else if (savedInstanceState!=null)
			currentConversionValue=savedInstanceState.getDouble("conv");
        else currentConversionValue=1936.27;
        addListenerOnButton1();
        addListenerOnButton2();
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }
    
    
    public void addListenerOnButton1(){
    	context=this;
    	Button setValueButton = (Button) findViewById(R.id.button1);
    	
    	setValueButton.setOnClickListener(new OnClickListener(){
    		@Override
			public void onClick(View arg0) {
    			toConvert=(EditText)findViewById(R.id.editTextMain);
    			String value=toConvert.getText().toString();
    			double valueToConvert=Double.parseDouble(value);
    			double result = valueToConvert/currentConversionValue;
    			resultView = (TextView)findViewById(R.id.textViewResult);
    			resultView.setText("The result is: " + Double.toString(result));
    		}
    		
    	}
    	);
    }

    public void addListenerOnButton2(){
    	context=this;
    	Button setValueButton = (Button) findViewById(R.id.button2);
    	
    	setValueButton.setOnClickListener(new OnClickListener(){
    		@Override
			public void onClick(View arg0) {
    			Intent intent = new Intent(context,SetValueActivity.class);
    			startActivity(intent);
    		}
    	}
    	);
    }
    
}
